smb4k (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Feb 2026 19:35:19 +0100

smb4k (4.0.5-1) unstable; urgency=medium

  * New upstream release:
    - fixes CVE-2025-66002 & CVE-2025-66003 (Closes: #1122381)
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Add the iproute2 dependency, needed for "ip".

 -- Pino Toscano <pino@debian.org>  Sun, 14 Dec 2025 21:43:13 +0100

smb4k (4.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:32:30 +0200

smb4k (4.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtdeclarative5-dev, libkf5auth-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5dbusaddons-dev,
      libkf5dnssd-dev, libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5jobwidgets-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5solid-dev, libkf5wallet-dev, libkf5widgetsaddons-dev,
      libkf5windowsystem-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-declarative-dev, libkf6auth-dev,
      libkf6completion-dev, libkf6config-dev, libkf6configwidgets-dev,
      libkf6coreaddons-dev, libkf6crash-dev, libkf6dbusaddons-dev,
      libkf6dnssd-dev, libkf6doctools-dev, libkf6i18n-dev, libkf6iconthemes-dev,
      libkf6jobwidgets-dev, libkf6kio-dev, libkf6notifications-dev,
      libkf6solid-dev, libkf6statusnotifieritem-dev, libkf6wallet-dev,
      libkf6widgetsaddons-dev, libkf6windowsystem-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - add qtkeychain-qt6-dev
  * Switch the kf5 dh addon to kf6.
  * Enable the WS-Discovery support, now that all the needed libraries are
    available in Debian:
    - add the libkdsoap-dev, and libkdsoapwsdiscoveryclient-dev build
      dependencies
    - pass -DSMB4K_WITH_WS_DISCOVERY=ON to cmake
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Feb 2025 09:39:18 +0100

smb4k (3.2.70-1) experimental; urgency=medium

  * New upstream development release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.8
    - bump the KF packages to 5.103.0
    - drop libkf5plasma-dev, as smb4k is currently built without the Plasma
      widget
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Apr 2024 11:37:31 +0200

smb4k (3.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 10:29:38 +0100

smb4k (3.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Oct 2023 05:35:26 +0200

smb4k (3.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Sep 2023 19:34:06 +0200

smb4k (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-specific freebsd-smbfs dependency

 -- Pino Toscano <pino@debian.org>  Sun, 30 Jul 2023 11:54:22 +0200

smb4k (3.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:09:51 +0200

smb4k (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - lower the KF packages to 5.78.0

 -- Pino Toscano <pino@debian.org>  Sat, 15 Apr 2023 23:56:18 +0200

smb4k (3.1.90-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Mar 2023 09:32:06 +0100

smb4k (3.1.84-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 3.1.7-1.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Feb 2023 08:18:01 +0100

smb4k (3.1.83-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 3.1.6-1.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 16:46:47 +0100

smb4k (3.1.82-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 12:36:59 +0100

smb4k (3.1.81-1) experimental; urgency=medium

  * New upstream development release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump the Qt packages to 5.15.2
    - bump the KF packages to 5.98.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Install README.md instead of README as documentation (it was
    renamed/converted upstream).

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 12:07:49 +0100

smb4k (3.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Jan 2023 12:10:00 +0100

smb4k (3.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Jan 2023 12:42:34 +0100

smb4k (3.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Dec 2022 09:52:09 +0100

smb4k (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Use secure URI in Homepage field.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Nov 2022 06:34:00 +0100

smb4k (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jul 2022 06:01:36 +0200

smb4k (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again the blhc job.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Apr 2022 20:08:18 +0200

smb4k (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: disable the blhc job.
  * debian/upstream/metadata: add bug entries.
  * Rename bug-presubj to smb4k.bug-presubj, and docs to smb4k.docs to make it
    explicit to which package they refer to.
  * debian/smb4k.bug-presubj: update URL of the upstream bug tracker.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Sep 2021 19:19:51 +0200

smb4k (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.44.0
    - add libkf5dnssd-dev
  * Update the cmake options according to the upstream build system:
    - drop -DINSTALL_HEADER_FILES=OFF, as it does not exist anymore
    - rename -DINSTALL_PLASMOID=false to -DSMB4K_INSTALL_PLASMOID=false
  * Update lintian overrides.
  * Drop removal of .so symlinks, as there are not anymore.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 14:42:03 +0200

smb4k (3.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the smb4k package relationships:
    - remove the sudo recommend, as it seems not needed anymore
    - add the rsync recommend
    - add the konsole suggest
  * CI: disable build-path reprotest variations.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add some upstream metadata fields.
  * Bump the version the watch file to 4, no changes required.
  * Drop the removal of the appdata translations, as they are not shipped
    anymore now.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 00:34:00 +0100

smb4k (3.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 13:37:38 +0200

smb4k (3.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 15 May 2020 14:16:31 +0200

smb4k (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Apr 2020 09:25:33 +0200

smb4k (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Mar 2020 22:09:42 +0100

smb4k (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Aug 2019 22:05:36 +0200

smb4k (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5parts-dev, no more needed
    - add libsmbclient-dev
  * Update the filename of the Plasma widget translations to remove.
  * Remove empty directories.
  * Update lintian overrides.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:49:15 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog smb4k`.
